<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\RaumUebersicht\PdfListen\Hausmeisterlisten\Einstellungen;

class ShowSettingsHmListenController extends \Kufer\Web\KuferTools\Basis\PdfListen\Hausmeisterlisten\Einstellungen\ShowSettingsHmListenController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new ShowSettingsHmListenUseCase(
      $this->getRequestObj()
    );
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new ShowSettingsHmListenPresenter($pUseCaseResponse);
  }
}